<?php
  include("./inc/func.php");

  @unlink("usr/". uzivatel('LOGIN'). "/upload.upl");
  if(move_uploaded_file($_FILES['soubor']['tmp_name'],"usr/". uzivatel('LOGIN'). "/upload.upl" ))
  {
  
     $soubor=$_FILES['soubor']['name'];
     
     $cas=time();
     
     db_update("uloziste", "PRIKAZ=\"put ". $_POST['cesta'].$soubor ."\", ODPOVED=\"\", DATUM=". $cas, "ID=". $_SESSION['UZIVATEL_ID']);
     
     $result="";
     $i=0;
     $chyba=false;
     
     while(!$result)
     {
        if($i>=9){$chyba=true; $result="Vypršel časový limit!"; break;};
        
        $result=db_vypis1("ODPOVED", "historie where ( (UID=". $_SESSION['UZIVATEL_ID'] .") and (DATUM>=$cas) and (PRIKAZ=\"put ". $_POST['cesta'].$soubor ."\") ) order by DATUM desc");
        
        sleep(1);
        $i++;
     };  
  
  }else{
     $chyba=true;
     $result="Chyba při ukládání souboru";  
  };


  
?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=windows-1250">
</head>
<body>
  
  <?php

    if(!$chyba)
    {
  ?>
  <script language="JavaScript">
    alert('<?php echo str_replace("|","<br>",$result); ?>');
  </script>
  <?php
    }else{
  ?>
  <script language="JavaScript">
    alert('<?php echo str_replace("|","\n",$result); ?>');
  </script>
  <?php
    };
  
  ?>
</body>
</html>
